package com.jwipc.sys.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jwipc.sys.entity.DealtWithTargetInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.jwipc.sys.model.dto.DwtItemDto;
import com.jwipc.sys.model.po.DealtWithTargetInfoPO;
import com.jwipc.sys.model.po.UserDwtItemPO;
import com.jwipc.sys.model.query.DealtInfoQuery;

import java.util.List;

/**
 * <p>
 * 指标信息表 服务类
 * </p>
 *
 * @author shenyang.ou
 * @since 2024-01-30
 */
public interface IDealtWithTargetInfoService extends IService<DealtWithTargetInfo> {

    List<DealtWithTargetInfoPO> findPageByQuery(Page<DealtWithTargetInfo> dbPage, DealtInfoQuery query);

    DealtWithTargetInfoPO getDataById(Long id);

    List<UserDwtItemPO> selectUserDwtData(Long userId, int type);

    Integer getSqlCount(String sql);

    List<DwtItemDto> findWorkbenchDwtData(Long userId, Integer category);

}
